#<
# Specify GitLab version to install. This is ignored if package_url is specified
#>
default['gitlab_omnibus']['version'] = '7.8.1'

#<
# Determine package URL based on specified version
# and platform/platform version.
#>
default['gitlab_omnibus']['package_url'] = ''

case node['platform']
when 'centos'
  case node['platform_version']
  when /6\.\d/
    default['gitlab_omnibus']['package_url'] =
      'https://downloads-packages.s3.amazonaws.com/centos-6.6/gitlab-<version>_omnibus-1.el6.x86_64.rpm'
  when /7\.\d/
    default['gitlab_omnibus']['package_url'] =
      'https://downloads-packages.s3.amazonaws.com/centos-7.0.1406/gitlab-<version>_omnibus-1.el7.x86_64.rpm'
  else
    Chef::Log.fatal(
      '"gitlab_omnibus" cookbook currently does not support this version of CentOS'
    )
  end
when 'ubuntu'
  case node['platform_version']
  when '12.04'
    default['gitlab_omnibus']['package_url'] =
      'https://downloads-packages.s3.amazonaws.com/ubuntu-12.04/gitlab_<version>-omnibus-1_amd64.deb'
  when '14.04'
    default['gitlab_omnibus']['package_url'] =
      'https://downloads-packages.s3.amazonaws.com/ubuntu-14.04/gitlab_<version>-omnibus-1_amd64.deb'
  else
    Chef::Log.fatal(
      '"gitlab_omnibus" cookbook currently does not support this version of Ubuntu'
    )
  end
when 'debian'
  case node['platform_version']
  when /7\.\d/
    default['gitlab_omnibus']['package_url'] =
      'https://downloads-packages.s3.amazonaws.com/debian-7.8/gitlab_<version>-omnibus-1_amd64.deb'
  else
    Chef::Log.fatal(
      '"gitlab_omnibus" cookbook currently does not support this version of Debian'
    )
  end
else
  Chef::Log.fatal(
    '"gitlab_omnibus" cookbook currently does not support this operating system'
  )
end

# GitLab Configuration

#<> URL where GitLab will be accessible
default['gitlab_omnibus']['external_url'] = "https://#{node['fqdn']}"
default['gitlab_omnibus']['gitlab_rails'] = {}
default['gitlab_omnibus']['user'] = {}
default['gitlab_omnibus']['unicorn'] = {}
default['gitlab_omnibus']['sidekiq'] = {}
default['gitlab_omnibus']['gitlab_shell'] = {}
default['gitlab_omnibus']['postgresql'] = {}
default['gitlab_omnibus']['redis'] = {}
default['gitlab_omnibus']['web_server'] = {}
default['gitlab_omnibus']['nginx'] = {}
default['gitlab_omnibus']['logging'] = {}
default['gitlab_omnibus']['logrotate'] = {}
default['gitlab_omnibus']['omnibus_gitconfig'] = {}

# GitLab CI

#<> URL where GitLab CI will be accessible. Setting this value enables/configures GitLab CI
default['gitlab_omnibus']['ci_external_url'] = nil
default['gitlab_omnibus']['gitlab_ci'] = {}
default['gitlab_omnibus']['ci_unicorn'] = {}
default['gitlab_omnibus']['ci_sidekiq'] = {}
default['gitlab_omnibus']['ci_redis'] = {}
default['gitlab_omnibus']['ci_nginx'] = {}
